# Belso: Better LLMs Structured Outputs

[![Documentation](https://img.shields.io/badge/docs-GitHub%20Pages-blue)](https://MikiTwenty.github.io/belso/)
[![PyPI version](https://badge.fury.io/py/belso.svg)](https://badge.fury.io/py/belso)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

## Overview

Belso (Better LLMs Structured Outputs) is a Python library designed to simplify working with structured outputs from Large Language Models (LLMs). It provides a unified interface for validating, translating, and processing structured data across multiple LLM providers.

## Key Features

- **Schema Validation**: Validate LLM outputs against predefined schemas
- **Multi-Provider Support**: Seamlessly work with outputs from:
  - OpenAI
  - Anthropic
  - Google AI
  - Mistral AI
  - Hugging Face
  - Ollama
  - LangChain
- **Format Translation**: Convert between different schema formats
- **Robust Error Handling**: Comprehensive logging and error management

## Installation

```bash
pip install belso
```
